##  for Mageia 9 ##

%define   ver       00303
%define   src_ver   003.03
%define   rel       1
%define   fontdir  %{_datadir}/fonts/OTF/ipafont

Name:    fonts-otf-ipafont
Version: %{ver}
Release: %{rel}.np9
Summary: IPA Jananese Fonts (ver.%{src_ver})
Summary(ja): IPA 日本語アウトラインフォント (ver.%{src_ver})
Group:   System/Fonts/Open type
License: IPA Font License v1.0
URL:     https://ipafont.ipa.go.jp/
Source0: https://ipafont.ipa.go.jp/IPAfont/IPAfont%{version}.zip

BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: %{name}-gothic = %{version}-%{release}
Requires: %{name}-mincho = %{version}-%{release}
Requires: %{name}-doc = %{version}-%{release}
Requires(post,postun): mkfontdir, mkfontscale
Provides: ipafont
Obsoletes: fonts-otf-japanese-ipafont =< 00303

%description
This package is meta package to install IPA Japanese fonts(ver.%{src_ver}).

%description -l ja
このパッケージは、IPAフォント(ver.%{src_ver}) をインストールする為のメタパッケージです。
このメタパッケージで以下の4書体がインストールされます。

  - IPA等幅明朝フォント (IPA明朝)
  - IPAプロポーショナル明朝フォント (IPA P明朝)
  - IPA等幅ゴシックフォント (IPAゴシック)
  - IPAプロポーショナルゴシックフォント (IPA Pゴシック)

# --------------------------------------------------------------------- #

%package gothic
Summary: IPA Gothic Fonts (ver.%{src_ver})
Summary(ja): IPAゴシックフォント (ver.%{src_ver})
Group:   System/Fonts/Open type
Requires:  %{name}-doc
Obsoletes: fonts-otf-japanese-ipafont-gothic =< 00303

%description gothic
This package includes IPAGothic and IPAPGothic fonts.

%description -l ja gothic
このパッケージで、以下の IPAゴシックフォント(ver.%{src_ver}) 2書体がインストールされます。

  - IPA等幅ゴシックフォント (IPAゴシック)
  - IPAプロポーショナルゴシックフォント (IPA Pゴシック)

%post gothic
mkfontscale %{fontdir}
mkfontdir %{fontdir}

%postun gothic
mkfontscale %{fontdir}
mkfontdir %{fontdir}

# --------------------------------------------------------------------- #

%package mincho
Summary: IPA Mincho Fonts (ver.%{src_ver})
Summary(ja): IPA明朝フォント (ver.%{src_ver})
Group:   System/Fonts/Open type
Requires:   %{name}-doc
Obsoletes: fonts-otf-japanese-ipafont-mincho =< 00303

%description mincho
This package includes IPAMincho and IPAPMincho fonts.

%description -l ja mincho
このパッケージで、以下の IPA明朝フォント(ver.%{src_ver}) 2書体がインストールされます。

  - IPA等幅明朝フォント (IPA明朝)
  - IPAプロポーショナル明朝フォント (IPA P明朝)

%post mincho
mkfontscale %{fontdir}
mkfontdir %{fontdir}

%postun mincho
mkfontscale %{fontdir}
mkfontdir %{fontdir}

# --------------------------------------------------------------------- #

%package doc
Summary: IPA Font (ver.%{src_ver}) Documents
Summary(ja): IPAフォント(ver.%{src_ver}) ドキュメント
Group:   System/Fonts/Open type
Obsoletes: fonts-otf-japanese-ipafont-doc =< 00303

%description doc
This package includes important documents for IPA fonts includes enduser
license.

%description -l ja doc
このパッケージには、IPAフォント(ver.%{src_ver}) のライセンスを含むドキュメント類が含まれています。

# --------------------------------------------------------------------- #

%prep
%setup -q -n IPAfont%{version}

## convert character encoding of document
iconv -f Shift_JIS -t UTF-8 Readme_IPAfont%{version}.txt > Readme_IPAfont%{version}_utf8.txt

%build


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{fontdir}
install -p -m 644 *.ttf $RPM_BUILD_ROOT%{fontdir}

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/
ln -s ../../..%{fontdir} \
  $RPM_BUILD_ROOT%{_sysconfdir}/X11/fontpath.d/otf-ipafont:pri=50


%files

%files gothic
%defattr(-,root,root)
%{fontdir}/ipag.ttf
%{fontdir}/ipagp.ttf
%{_sysconfdir}/X11/fontpath.d/otf-ipafont:pri=50

%files mincho
%defattr(-,root,root)
%{fontdir}/ipam.ttf
%{fontdir}/ipamp.ttf
%{_sysconfdir}/X11/fontpath.d/otf-ipafont:pri=50

%files doc
%doc *.txt


%changelog
* Sun Feb 26 2023 tomcat <> 00303-1.np9
- build for Mageia 9
